%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		openstack-swift-plugin-swift3
Version:	1.11.0
Release:	2%{?dist}
Summary:	The swift3 plugin for Openstack Swift

License:	ASL 2.0
URL:		https://github.com/openstack/swift3
Source0:	https://tarballs.openstack.org/swift3/swift3-%{upstream_version}.tar.gz

#
# patches_base=v1.11+1
#
Patch0001: 0001-Allow-IPv6-addresses-in-auth_host-config-option.patch
Patch0002: 0002-Raise-error-if-neither-auth_uri-nor-auth_host-config.patch
Patch0003: 0003-Add-delay_auth_decision-config-option.patch
Patch0004: 0004-Stop-using-email.utils.mktime_tz.patch
Patch0005: 0005-Remove-version-from-setup.cfg.patch
Patch0006: 0006-Add-http_timeout-config-option.patch
Patch0007: 0007-Add-small-change-for-debugging.patch
Patch0008: 0008-Small-updates-for-readme.patch
Patch0009: 0009-Fix-error-message.patch
Patch0010: 0010-Unpin-python-openstackclient-in-test-requirements.tx.patch

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	openstack-swift >= 2.1.0
Requires:   python-lxml
Requires:   python-requests

%description
The swift3 plugin permits accessing Openstack Swift via the
Amazon S3 API.

%prep
%setup -q -n swift3-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

%build
%{__python2} setup.py build

%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE
%{python2_sitelib}/swift3-*.egg-info/
%{python2_sitelib}/swift3/
%doc AUTHORS README.md

%changelog
* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 1.11.0-2
- Unpin python-openstackclient in test-requirements.txt
- Fix error message
- Small updates for readme
- Add small change for debugging
- Add http_timeout config option
- Remove version from setup.cfg
- Stop using email.utils.mktime_tz
- Add delay_auth_decision config option
- Raise error if neither auth_uri nor auth_host configured
- Allow IPv6 addresses in auth_host config option

* Wed Sep 14 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.11.0-1
- Upstream 1.11.0

